### Signal

# GUPnP Service::query-variable

#### Declaration

    void
    query_variable (
      GUPnPService* self,
      gchar* variable,
      const GValue* value,
      gpointer user_data
    )

#### Description [src]

Emitted whenever `service` needs to know the value of `variable`. Handler should fill `value` with the value of `variable`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`variable`

  Type: `gchar*`

  The variable that is being queried.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  The location of the `GValue` of the variable.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.